Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.http.proxy
Class FormCharSetFinder

    java.lang.Object
      org.apache.jmeter.protocol.http.proxy.FormCharSetFinder

    public class FormCharSetFinder

extends Object

A parser for html, to find the form tags, and their accept-charset value

Constructor Summary
`FormCharSetFinder()`

Method Summary
`void` | `addFormActionsAndCharSet(String html, Map<String,String> formEncodings, String pageEncoding)` Add form action urls and their corresponding encodings for all forms on the page

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormCharSetFinder

    public FormCharSetFinder()

Method Detail

### addFormActionsAndCharSet

    public void addFormActionsAndCharSet(String html,
                                         Map<String,String> formEncodings,
                                         String pageEncoding)
                                  throws HTMLParseException

  Add form action urls and their corresponding encodings for all forms on the page

  Parameters:
    `html` - the html to parse for form encodings
    `formEncodings` - the Map where form encodings should be added
    `pageEncoding` - the encoding used for the whole page
  Throws:
    `HTMLParseException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.